Name:       gridpp-dpm-tools
Version:    1.0.0
Release:    2%{?dist}
Summary:    A collection of handy utilities for Disk Pool Manager
Group:      Applications/System
License:    GPLv2+
URL:        http://www.gridpp.ac.uk/wiki/DPM-admin-tools
Source0:    http://www.ph.ed.ac.uk/~gcowan1/gridpp-dpm-tools-%{version}.tgz
Source1:    gridpp-dpm-tools-setup.py
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:  noarch
BuildRequires:  python-devel
Requires:       DPM-interfaces
Requires:       python >= 2.3.0

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
A collection of handy utilities for Disk Pool Manager

%prep
%setup -q -n %{name}
cp %{SOURCE1} %{_builddir}/%{name}/setup.py

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
# Create dummy file so that RPM doens't barf when there's no .egg-info:
install -d %{buildroot}/%{python_sitelib}/
touch %{buildroot}/%{python_sitelib}/gridpp_dpm_tools-dummy

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Reminder that we ought to bundle some basic docs and a copy of the GPL
#%doc README LICENSE.txt
%doc README 

# Include any generated .egg-info file, but not our dummy one:
%{python_sitelib}/*
%exclude %{python_sitelib}/gridpp_dpm_tools-dummy

%{_bindir}/gridpp_dpm_disk_to_dpns
%{_bindir}/gridpp_dpm_dpns_to_disk
%{_bindir}/gridpp_dpm_find_dpns_zero_size_files
%{_bindir}/gridpp_dpm_list_disk
%{_bindir}/gridpp_dpm_list_space_tokens

%changelog
* Wed May 21 2008 Ewan Mac Mahon <ewan@macmahon.me.uk> - 1.0.0-2
Include README, fix URL.

* Wed May 21 2008 Ewan Mac Mahon <ewan@macmahon.me.uk> - 1.0.0-1
Initial package
